summaryrefslogtreecommitdiff
path: root/gtk2_ardour/arprof-scons
diff options
context:
space:
mode:
authorPaul Davis <paul@linuxaudiosystems.com>2009-07-22 13:53:19 +0000
committerPaul Davis <paul@linuxaudiosystems.com>2009-07-22 13:53:19 +0000
commitee2936bad88280ec65f14a52a6faa53881c1feaf (patch)
tree775b7d89577dcad45037bc1a205bf0479d043f22 /gtk2_ardour/arprof-scons
parent3b7230552d8aa6c36fd2fbc3ccc1cfb9109fc843 (diff)
waf is now the official build system for 3.0 - all/several gtk2_ardour/ar* scripts renamed to reflect this (-scons variants are now so-named)
git-svn-id: svn://localhost/ardour2/branches/3.0@5413 d708f5d6-7413-0410-9779-e7cbd77b26cf
Diffstat (limited to 'gtk2_ardour/arprof-scons')
-rwxr-xr-xgtk2_ardour/arprof-scons9
1 files changed, 9 insertions, 0 deletions
diff --git a/gtk2_ardour/arprof-scons b/gtk2_ardour/arprof-scons
new file mode 100755
index 0000000000..47c11cdb99
--- /dev/null
+++ b/gtk2_ardour/arprof-scons
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+if [ gprofhelper.c -nt gprofhelper.so ] ; then
+ echo "Recompiling gprof helper ..."
+ gcc -shared -nostdlib -fPIC gprofhelper.c -o gprofhelper.so -lpthread -ldl || exit 1
+fi
+
+. ardev_common.sh
+LDPRELOAD=./gprofhelper.so $EXECUTABLE "$@"